#pragma once

#include "WimaAreaData.h"
#include "ROSMessageType.h"

typedef ROSMessageType<QString> ROSMsg;

class ROSCommunicator : public QObject
{
  Q_OBJECT

public:
  explicit ROSCommunicator(QObject *parent = 0) :
      QObject(parent) {}

    void send(const ROSMsg *msg);


public slots:
    virtual void receive(ROSMsg *msg) = 0;

signals:
  void readAsynkPolledChanged(int value);
};
